Mailinglist Archive: opensuse-updates (31 mails)

< Previous Next >
openSUSE-RU-2010:0210-1 (low): xorg-x11-libXext: This update fixes a race condition in libXext
  • From: maintenance@xxxxxxxxxxxx
  • Date: Tue, 4 May 2010 17:08:09 +0200 (CEST)
  • Message-id: <20100504150809.16683BE13@xxxxxxxxxxxxxx>
openSUSE Recommended Update: xorg-x11-libXext: This update fixes a race
condition in libXext
______________________________________________________________________________

Announcement ID: openSUSE-RU-2010:0210-1
Rating: low
References: #578577
Affected Products:
openSUSE 11.2
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

XAllocID must only be called with the Display lock held.
There's a race condition in libXext that causes apps that
use the X shared memory extensions to occasionally crash.
It affects lots of X programs, including Evolution,
Firefox, various parts of Gnome, etc. Fixed by this update.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch xorg-x11-libXext-2379

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

xorg-x11-libXext-7.4-7.2.1

- openSUSE 11.2 (i586 x86_64):

xorg-x11-libXext-devel-7.4-7.2.1

- openSUSE 11.2 (x86_64):

xorg-x11-libXext-32bit-7.4-7.2.1
xorg-x11-libXext-devel-32bit-7.4-7.2.1


References:

https://bugzilla.novell.com/578577


< Previous Next >
This Thread
  • No further messages